package com.jeequan.jeepay.core.utils;

/*
* 文件工具类
*
* @author terrfly
*
* @date 2021/6/8 16:50
*/
public class FileKit {


	/**
	 * 获取文件的后缀名
	 * @param appendDot 是否拼接.
	 * @return
	 */
	public static String getFileSuffix(String fullFileName, boolean appendDot){
		if(fullFileName == null || fullFileName.indexOf(".") < 0 || fullFileName.length() <= 1) {
            return "";
        }
		return (appendDot? "." : "") + fullFileName.substring(fullFileName.lastIndexOf(".") + 1);
	}


	/** 获取URL中最后的文件名称， 包含后缀 **/
	public static String getUrlFileName(String url){
		return url.substring(url.lastIndexOf("/") + 1);
	}

}
